'	formVarSetup 1.0 by Keith Collison, kcollison@erols.com 
'	Copyright December 12, 1999
'	Automates grabbing form data from previous pages using Active Server Pages.
'	
'	Feel free to make any changes, but please don't distribute without giving
'	me credit.  I'd be a little miffed.
'	
'	I found myself always going through the same routine when having to pull data
'	from a previous page's form in my ASP code.  That is, a series 
'	of "varFoobar = Request.Form("varFoobar")" statements.  So, I made the following
'	script to automate the process.  
'	
'	HOW TO USE:
'		You may either highlight a list of variables first and activate the script, i.e.
'		highlight this text ---
'				varFoo
'				varCaptain
'				varSkipper
'		And the script will add request.form's or request.querystring's appropriately, as 
'		well as a DIM statement.
'		
'		Alternatively, you can also activate the script w/o highlighting anything and it 
'		will prompt	you for each variable name.  
'		
'	PLEASE NOTE: 
'		This will only work if you want your variable names to correspond to their corresponding 
'		Request.Form or Request.QueryString key.  Some people add a prefix to their variable names 
'		to denote its form-origin (such as inpFoo, inpCaptain, etc.)  This script would only take a 
'		little tweaking to support this.  Feel free to customize it any way you'd like, or E-mail me 
'		with your specific needs.
'	
'	FUTURE PLANS:
'		Automatically parse a page's form for input values. (Need help with regular expressions for this)
'
'	ENJOY!  And check out my ASPDatabase available at ASP4HS, http://jw.conallen.net/asp4hs/
'
' 	Keith

Sub Main
	Dim app, strText, intSelection,HSYesNoCancel,strRequest,tempStr,newString, br,strDone
	br = chr(10)
	HSYesNoCancel = 3
	hsYesNoCancel = 3
	hsCancel = 2
	hsYes = 6
	hsNo = 7
	
	Set app = Application
	intSelection = app.ActiveDocument.SelLength
	
	answer = app.MessageBox("Press:" & br & "  'Yes' to use Request.Form," & br & "  'No' to use Request.QueryString," & br & "  'Cancel' to exit.", "Form variables", HSYesNoCancel)
	
	if answer = hsYes then strRequest = "Request.Form("
	if answer = hsNo then strRequest = "Request.QueryString("
	if answer <> hsCancel THEN
		If intSelection > 0 Then
			' Grab the highlighted text
			strText = app.ActiveDocument.SelText
			' Make an array, using carriage return as delimiter
			StringArray = Split(strText, CHR(13))
				For i = 0 to UBound(StringArray)
				 	tempStr = Trim(StringArray(i))
					tempStr = Replace(tempStr,br,"")
					newString = newString & tempStr & " = " & strRequest & Chr(34) & tempStr & Chr(34) & ")" & Chr(13)
				Next
			' Compose the DIM statement based on the StringArray
			dimStr = "DIM " & (join(StringArray,", "))
			' Take out any carriage return in the DIM statement
			dimStr = replace(dimStr,br,"") & br
			app.ActiveDocument.SelText = dimStr & newString
		ELSE
			' strDone is displayed to the user as they submit the variables, help 'em 
			' keep track of what they've done
			strDone = "Already submitted: "
			varName= inputBox("Name of Variable:" &  br & "(Enter a blank to exit)","Variable Dialog")
				Do UNTIL varName = "" or varName = hsCancel
					 dimStr = dimStr & varName & ", "
					 varString = varString & br & varName & " = " & strRequest & Chr(34) & varName & Chr(34) & ")"
					 varName= inputBox("Name of Variable:" & br & strDone & dimStr & br &  "(Enter a blank to exit)","Variable Dialog")
				LOOP 
			' Take away the last comma of the DIM statment
			dimStr = left(dimStr,(len(dimStr) - 2))
			' Take out any carriage return in the DIM statement and add "DIM"
			dimStr = "DIM " & replace(dimStr,br,"")			
			app.ActiveDocument.InsertText dimStr & varString,False
		End If
	END IF
End Sub